# $Id: $
# repo: RE
# restrictions:

#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: OpenCA PKI library
Name: libpki
Version: 0.6.7
Release: %RErelease 1
License: OpenCA License (BSD Style)
Group: Development/Libraries
URL: http://www.openca.org/projects/libpki/
Source0: http://prdownloads.sourceforge.net/openca/libpki-%{version}.tar.gz
Patch0: libpki-0.6.7-libresolv64.patch
Patch1: libpki-0.6.7-libresolv.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: openldap-devel >= 2.2
BuildRequires: openssl-devel >= 0.9.8
BuildRequires: libxml2-devel
BuildRequires: glibc-devel

%description
The OpenCA PKI library provides a high-level cryptographic API to manage
certificates, from generation to validation.

%package devel
Summary: Development tools for libpki applications
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Includes documentation and headers for developing applications by using LibPKI.

%prep
%setup -q
%if %{?el5}0
%ifarch x86_64
%patch0 -p1 -b .libresolv64
%else
%patch1 -p1 -b .libresolv
%endif
%endif

%build
%configure
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__mv} ${RPM_BUILD_ROOT}/usr/etc ${RPM_BUILD_ROOT}
%{__rm} -rf ${RPM_BUILD_ROOT}/usr/share/libpki

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README docs/README.data_structures docs/README.functions
%config(noreplace) %{_sysconfdir}/pki.conf
%config(noreplace) %{_sysconfdir}/libpki/
%{_bindir}/pki-*
%{_bindir}/url-tool
%{_libdir}/libpki.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/libpki-config
%{_libdir}/libpki.a
%{_libdir}/libpki.la
%{_libdir}/libpki.so
%{_libdir}/pkgconfig/libpki.pc
%{_includedir}/%{name}

%changelog
* Sun Mar 17 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.6.7-1
- First build.

